Installer - Bug #30962

dhcpd.conf file-ACLs are reset
10/02/2020 04:47 PM - Markus Bucher

Status: Closed
Priority: High
Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules
Target version: 214
Difficulty: Fixed in Releases: 214
Triaged: No Found in Releases: 2.1.3
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman_proxy/pull/620,
https://github.com/theforeman/puppet-for
eman_proxy/pull/622

Description
Using the foreman-installer-2.1.3 for a fresh install, | experienced a problem, when configuring DHCP-parameters.

The foreman-installer run failed because of 502 from the foreman-proxy.

The proxy did not respond, because of the following error message in /var/log/foreman-proxy/proxy.log:

[E] Disabling all modules in the group ['dhcp_isc', 'dhcp'] due to a failure in one of them: File
at '/etc/dhcp/dhcpd.conf' defined in 'config' parameter doesn't exist or is unreadable

The reason seems to be the fix for #30489.

In our case, the file ACL was correctly set by puppet-foreman_proxy-module, but before the puppet-dhcp-moudle actually configured
the /etc/dhcp/dhcpd.conf.

The latter puppet-module also seems to do a chmod on the config file, which wipes the file-ACL.

Thus, resulting in dhcpd.conf not being readable for the foreman-proxy.

Even though | did not have this problem provisioning a centos7-katello-3.16 box with forklift, | reckon this might affect others as well.

Environment:

CentOS 7.8.2003
puppetserver-6.13.0-1.el7.noarch
puppet-agent-6.18.0-1.el7.x86_64

Related issues:
Has duplicate Installer - Bug #30973: Fix for CVE-2020-14335 cause breakage o... Duplicate

History

#1 - 10/02/2020 05:08 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/620 added

#2 - 10/05/2020 11:09 AM - Tomer Brisker
- Has duplicate Bug #30973: Fix for CVE-2020-14335 cause breakage on 2.1.3 added

#3 - 10/05/2020 11:14 AM - Tomer Brisker

- Target version setto 2.1.4

#4 - 10/05/2020 11:33 AM - Bernhard Suttner

My thought on this issue is, that it breaks a lot of installations and would justify a 2.1.3.1 release ASAP.
https://projects.theforeman.org/issues/30489

#5 - 10/08/2020 12:02 PM - The Foreman Bot
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/622 added

#6 - 10/13/2020 12:25 PM - Tomer Brisker
- Fixed in Releases 2.1.4 added

#7 - 10/13/2020 01:02 PM - Tomer Brisker
- Status changed from Ready For Testing to Closed

#8 - 10/14/2020 07:19 AM - Tomer Brisker

- Category set to Foreman modules
